API referenceConversations

List a conversation’s messages

GET
/v2/conversations/{id}/messages

Newest first.

Authorization

ApiKey
headerAuthorizationBearer <token>

An API key from Developers → API keys: Authorization: Bearer gauge_live_… (or pulse_k_live_…).

Path Parameters

id*string

The conversation id.

Formatuuid

Query Parameters

limit?string

Page size, 1–100 (default 25).

after?string

A nextCursor from the previous page. Opaque.

before?string

A prevCursor, to page back. Opaque. Not with after.

direction?string
Value in"inbound""outbound"
includeNotes?string

true to interleave internal notes (type note). Default false.

includeSystem?string

true to include system / internal rows. Default false.

Header Parameters

Gauge-Version?string

A dated version. Default 2026-10-21.

Response Body

A page of messages (and notes, when asked for).

application/json
  1. response

A cursor page over (created_at, id). Every list returns this shape.

data*array<>
nextCursor*|

Pass as after for the next page; null on the last page.

prevCursor*|

Pass as before for the previous page; null on the first page.

Example Request
curl -X GET 'https://app.gauge.chat/api/v2/conversations/497f6eca-6276-4993-bfeb-53cbbbba6f08/messages'
Example Response
{  "nextCursor": "string",  "prevCursor": "string",  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "conversationId": "ee6e55e8-45fe-4a3e-9bc8-4669f9fdf77a",      "type": "message",      "direction": "inbound",      "authorType": "string",      "authorMemberId": "76fc4ed4-930e-473e-a8fc-09f425f86e65",      "kind": "string",      "text": "string",      "status": "string",      "failureReason": "string",      "media": {        "mime": "string",        "filename": "string",        "mediaId": "5a8ffac5-2288-485d-b463-90c3cd9941ad"      },      "template": {        "name": "string",        "language": "string"      },      "via": "string",      "replyToMessageId": "666dd795-555f-462a-8c3b-fb8ab1fdc45f",      "metadata": {        "property1": "string",        "property2": "string"      },      "createdAt": "string"    }  ]}